#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	File
%define		pnam	Tail
Summary:	File::Tail Perl module - reading from continuously updated files
Summary(pl.UTF-8):	Moduł Perla File::Tail - czytanie z ciągle uaktualnianych plików
Name:		perl-File-Tail
Version:	0.99.3
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ef0fb7bcb4181ba593f4a09940f61d1c
URL:		http://search.cpan.org/dist/File-Tail/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Tail is a Perl tail. The primary purpose of File::Tail is
reading and analysing log files while they are being written, which is
especialy useful if you are monitoring the logging process with a tool
like Tobias Oetiker's MRTG.

%description -l pl.UTF-8
File::Tail to 'tail' dla Perla. Głównym przeznaczeniem modułu jest
czytanie i analizowanie plików logów podczas gdy są zapisywane, co
jest szczególnie przydatne przy monitorowaniu procesu logowania przy
użyciu narzędzi takich jak MRTG Tobiasa Oetikera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install logwatch select_demo $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Tail.pm
# empty autosplit.ix
#%dir %{perl_vendorlib}/auto/File
#%dir %{perl_vendorlib}/auto/File/Tail
#%%{perl_vendorlib}/auto/File/Tail/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Thu May 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-File-Tail.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 892f726
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 128045a
- generic URL

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 0285a34
- up to 0.99.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dd4d9bd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 38188ab
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 531b0f9
- autoupdated to 0.99.1

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6be0bf7
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 1102474
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> 57e9069
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4559170
- rel. 11

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 6ba9d08
- license fixes / unification

* Sat Jan 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 50157b2
- longer summaries/descriptions, new-style bcond, release 10

* Thu Dec 11 2003 undefine <undefine@pld-linux.org> b9fb338
- release 9 to rebuild with ac

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 35b2959
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 5394cfc
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 02733d3
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4cc064d
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> a19b986
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> d726668
- should be ready for perl-5.8.0; release++

* Fri Feb 28 2003 trojan <trojan@pld-linux.org> 10cc9e5
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

